For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterOpenAPI SpecStatus
OverviewInquiriesTransactionsAPI ReferenceChangelog
OverviewInquiriesTransactionsAPI ReferenceChangelog
  • Getting Started
    • Introduction
    • Quickstart Tutorial
  • API Overview
    • API Keys
    • Authentication
    • Protocol
    • Response Body
    • Idempotence
    • Pagination
    • Rate Limiting
    • Downloading Files
    • API Logs
    • Request IDs
  • Versioning
    • API Changelog
    • Versioning
  • Troubleshooting
    • Error Handling
  • API Reference
    • OpenAPI Specification
    • Cases
    • Connect
    • Documents
    • Inquiries
    • List Items
    • Lists
      • POSTCreate a Browser Fingerprint List
      • POSTCreate a Country List
      • POSTCreate an Email Address List
      • POSTCreate a Geolocation List
      • POSTCreate a Government ID Number List
      • POSTCreate an IP Address List
      • POSTCreate a Name List
      • POSTCreate a Phone Number List
      • POSTCreate a Strings List
      • GETList all Lists
      • GETRetrieve a List
      • DELArchive a List
    • OAuth
    • Reports
    • Transactions
    • Verifications
    • Workflows
  • Webhooks
LogoLogo
Help CenterOpenAPI SpecStatus
API ReferenceLists

Archive a List

DELETE
https://api.withpersona.com/api/v1/lists/:list-id
DELETE
/api/v1/lists/:list-id
$curl -X DELETE https://api.withpersona.com/api/v1/lists/list-id \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "type": "list/phone-number",
4 "attributes": {
5 "name": "My List",
6 "status": "archived",
7 "archived-at": "2023-01-01T00:00:00.000Z",
8 "created-at": "2023-01-01T00:00:00.000Z",
9 "updated-at": "2023-01-01T00:00:00.000Z"
10 },
11 "id": "lst_kRcKDJ4c8wF2AmAghggtYxboX",
12 "relationships": {
13 "list-items": {
14 "data": []
15 }
16 }
17 }
18}
Archive an existing list. Archived lists are still retrievable, but will no longer match on inquiries.
Was this page helpful?
Previous

OAuth

Share access to a Persona resource with another Organization
Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

list-idstringRequired
ID of the list to archive

Headers

Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Idempotency-KeystringOptional
Ensures the request is idempotent.
Persona-VersionenumOptional
Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).

Query parameters

includestringOptional
A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details.
fieldsmap from strings to stringsOptional
Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.

Response

This endpoint returns a List object.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error

Server API version. More info on versioning can be found here.

A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details.

Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details.